{
    template:'${tmpl}',
    data:function(){
        return {
          multipleSelection: [],
          isSingleSelect:false,
        }
    },
    mounted:function(){
      /*var msg={
        cls:"testCtl",
        method:"test",
        data:"hello",
      };
      this.socketClient.socketReplyReq(msg,function(rtn){
        console.log("rtn socket**************************************888888...................................................");
        console.log(rtn);
      });*/
    },
    created:function(){

    },
    methods:{
       handleSelectionChange:function(val){
         this.multipleSelection = val;
         console.log(this.cc);
       },
       headerCellStyle:function(){
         return {"background-color":"red"};
       },
       rowClick:function(row,k){
         if(k=="detail"){
           this.$router.push("/platform/appdetail/"+row.appid);
         }
       },
       toolbarclick:function(k){
         var self=this;
         if(k=="restart"){
            this.$confirm('此操作将重启所有任务, 是否继续?', '提示', {
              confirmButtonText: '确定',
              cancelButtonText: '取消',
              type: 'warning'
            }).then(() => {
              this.$root.postReq("/web/taskCtl/restartTasks",{}).then(function(d){
                  console.log(d);
                  if(d.status==0){
                    self.$message({
                      type: 'success',
                      message: '任务重新启动成功!'
                    });
                  }else {
                    self.$message({
                      type: 'success',
                      message: '任务重新启动失败!'
                    });
                  }
              });
            }).catch(() => {
              this.$message({
                type: 'info',
                message: '已取消重启所有任务'
              });
            });

         }
       }

    },
    computed:{
      headStyle:function(){
        return {"background-color":"white"};
      }
    },
    vname:"gsb-tasks"
}
